Tag: apt

Где найти журналы / информацию об автоматических обновлениях (apt)?

Где я могу найти информацию о том, когда запускаются обновления / обновления для автоматической установки и что сделано (или ЕСЛИ что-то было сделано)? Я хочу включить автоматические обновления (для обновлений безопасности) на виртуальном сервере debian и, да, на моем RaspberryPi. Нужно ли мне искать /var/log/apt -logs для информации о WHAT и /var/log/syslog о информации, КОГДА […]

`apt clean` vs` apt-get clean`

Являются ли эти apt команды идентичными их apt-get аналогам / именам? apt clean apt-get clean apt autoclean apt-get autoclean apt autoremove apt-get autoremove Они кажутся. Просто хочу подтвердить.

шаблон для установки зависимостей в linux

Различные ОС имеют стандартный стандартный способ установки зависимостей пакетов; в OS X все зависимости библиотек копируются в папку App . У разработчиков приложений Windows есть оба варианта; они могут установить библиотеку в качестве подпакета (например, установщики игр будут устанавливать DirectX-библиотеку). Но обычно пользователь не может выбрать, хочет ли он, чтобы зависимости копировались или делились в […]

В чем разница между `get` (менеджер пакетов Debian) и PPA?

Я понимаю, что apt-get – это менеджер пакетов Debian, основанный на интерфейсе менеджера пакетов (CLI). В чем разница между apt-get и PPA?

phpmyadmin перечисляет версию моего сервера и версию клиента как отличающуюся

В продолжение этого вопроса я очистил клиента 5.1 через sudo apt-get purge mysql-client-core-5.1 . Я переустановил клиент 5.5 – sudo apt-get –reinstall install mysql-client-5.5 mysql-client-core-5.5 . Я также перезапустил apache и MySQL. Несмотря на это, phpmyadmin по-прежнему перечисляет клиент как 5.1. Есть идеи, как это исправить? РЕДАКТИРОВАТЬ: Он сообщает мне, что mysql-client-5.1 не установлен. mysql […]

Ошибка обновления

Когда я делаю apt-get update // apt-get upgrade, я получил эту ошибку независимо от того, что я делаю: root@debian:~# apt-get upgrade Reading package lists… Done Building dependency tree Reading state information… Done You might want to run 'apt-get -f install' to correct these. The following packages have unmet dependencies: curl : Depends: libcurl3 (= 7.26.0-1+wheezy3) […]

Где я могу проверить, что было обновлено в последнем обновлении?

Время от времени при обновлении моей системы после перезагрузки я получил черный экран. Проблема, похоже, связана с драйверами ATI, но это странно, потому что даже TTY не работают. Для исправления я перезагружаюсь в режиме восстановления, удаляю драйверы ATI, а затем снова устанавливаю их и все в порядке. Тем не менее, я пытаюсь выяснить, какое обновление […]

Обновление пакета ядра Debian

Таким образом, у меня установлена ​​установка i386 для Debian, и я пытаюсь обновить ее до версии 3.2. Я добавил источники в backports, я обновил apt-get, я установил firmware-linux-free , и когда я пытаюсь установить изображение, оно зависает. Это побуждает меня сказать «да» и, кажется, закончен, но вместо того, чтобы возвращаться на консоль, он просто отображает […]

Ошибка при установке wireless-bcm43142-dkms-6.20.55.19: зависимые linux-заголовки не выполняются

Я должен установить файл .deb с прошивкой для Wi-Fi-карты (это имя файла: wireless-bcm43142-dkms-6.20.55.19_amd64.deb; я загрузил файл здесь: http: // www.filewatcher.com/m/wireless-bcm43142-dkms_6.20.55.19-1_amd64.deb.1337086-0.html ). Когда я пытаюсь установить файл .deb, я дважды щелкаю по файлу, но он дает мне эту ошибку: "Failed to install file. Unknown error. Please refer to detailed report and report in your distribution bug […]

Не удалось apt-get после изменения настроек брандмауэра

В настоящее время я тестирую Tomcat на apache из Linux под ключ, и я не могу запускать какие apt-get либо команды apt-get . Проблема началась, когда я отредактировал настройки брандмауэра из webmin . Как я могу заставить это работать снова? Настройки брандмауэра:

Linux и Unix - лучшая ОС в мире.